import * as pulumi from "@pulumi/pulumi";
/**
 * Used to install the certificate authority certificate and update the certificate authority status.
 */
export declare function getCertificateAuthorityActivation(args: GetCertificateAuthorityActivationArgs, opts?: pulumi.InvokeOptions): Promise<GetCertificateAuthorityActivationResult>;
export interface GetCertificateAuthorityActivationArgs {
    /**
     * Arn of the Certificate Authority.
     */
    certificateAuthorityArn: string;
}
export interface GetCertificateAuthorityActivationResult {
    /**
     * The complete certificate chain, including the Certificate Authority certificate.
     */
    readonly completeCertificateChain?: string;
    /**
     * The status of the Certificate Authority.
     */
    readonly status?: string;
}
/**
 * Used to install the certificate authority certificate and update the certificate authority status.
 */
export declare function getCertificateAuthorityActivationOutput(args: GetCertificateAuthorityActivationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetCertificateAuthorityActivationResult>;
export interface GetCertificateAuthorityActivationOutputArgs {
    /**
     * Arn of the Certificate Authority.
     */
    certificateAuthorityArn: pulumi.Input<string>;
}
