import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The ``AWS::ApiGateway::ClientCertificate`` resource creates a client certificate that API Gateway uses to configure client-side SSL authentication for sending requests to the integration endpoint.
 */
export declare function getClientCertificate(args: GetClientCertificateArgs, opts?: pulumi.InvokeOptions): Promise<GetClientCertificateResult>;
export interface GetClientCertificateArgs {
    /**
     * The ID for the client certificate. For example: `abc123` .
     */
    clientCertificateId: string;
}
export interface GetClientCertificateResult {
    /**
     * The ID for the client certificate. For example: `abc123` .
     */
    readonly clientCertificateId?: string;
    /**
     * The description of the client certificate.
     */
    readonly description?: string;
    /**
     * The collection of tags. Each tag element is associated with a given resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * The ``AWS::ApiGateway::ClientCertificate`` resource creates a client certificate that API Gateway uses to configure client-side SSL authentication for sending requests to the integration endpoint.
 */
export declare function getClientCertificateOutput(args: GetClientCertificateOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetClientCertificateResult>;
export interface GetClientCertificateOutputArgs {
    /**
     * The ID for the client certificate. For example: `abc123` .
     */
    clientCertificateId: pulumi.Input<string>;
}
