import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::AppConfig::Environment
 */
export declare function getEnvironment(args: GetEnvironmentArgs, opts?: pulumi.InvokeOptions): Promise<GetEnvironmentResult>;
export interface GetEnvironmentArgs {
    /**
     * The application ID.
     */
    applicationId: string;
    /**
     * The environment ID.
     */
    environmentId: string;
}
export interface GetEnvironmentResult {
    /**
     * A description of the environment.
     */
    readonly description?: string;
    /**
     * The environment ID.
     */
    readonly environmentId?: string;
    /**
     * Amazon CloudWatch alarms to monitor during the deployment process.
     */
    readonly monitors?: outputs.appconfig.EnvironmentMonitor[];
    /**
     * A name for the environment.
     */
    readonly name?: string;
    /**
     * Metadata to assign to the environment. Tags help organize and categorize your AWS AppConfig resources. Each tag consists of a key and an optional value, both of which you define.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::AppConfig::Environment
 */
export declare function getEnvironmentOutput(args: GetEnvironmentOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetEnvironmentResult>;
export interface GetEnvironmentOutputArgs {
    /**
     * The application ID.
     */
    applicationId: pulumi.Input<string>;
    /**
     * The environment ID.
     */
    environmentId: pulumi.Input<string>;
}
