import * as pulumi from "@pulumi/pulumi";
/**
 * The AWS::AppRunner::ObservabilityConfiguration resource  is an AWS App Runner resource type that specifies an App Runner observability configuration
 */
export declare function getObservabilityConfiguration(args: GetObservabilityConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetObservabilityConfigurationResult>;
export interface GetObservabilityConfigurationArgs {
    /**
     * The Amazon Resource Name (ARN) of this ObservabilityConfiguration
     */
    observabilityConfigurationArn: string;
}
export interface GetObservabilityConfigurationResult {
    /**
     * It's set to true for the configuration with the highest Revision among all configurations that share the same Name. It's set to false otherwise.
     */
    readonly latest?: boolean;
    /**
     * The Amazon Resource Name (ARN) of this ObservabilityConfiguration
     */
    readonly observabilityConfigurationArn?: string;
    /**
     * The revision of this observability configuration. It's unique among all the active configurations ('Status': 'ACTIVE') that share the same ObservabilityConfigurationName.
     */
    readonly observabilityConfigurationRevision?: number;
}
/**
 * The AWS::AppRunner::ObservabilityConfiguration resource  is an AWS App Runner resource type that specifies an App Runner observability configuration
 */
export declare function getObservabilityConfigurationOutput(args: GetObservabilityConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetObservabilityConfigurationResult>;
export interface GetObservabilityConfigurationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of this ObservabilityConfiguration
     */
    observabilityConfigurationArn: pulumi.Input<string>;
}
