import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * RuleGroupsNamespace schema for cloudformation.
 */
export declare function getRuleGroupsNamespace(args: GetRuleGroupsNamespaceArgs, opts?: pulumi.InvokeOptions): Promise<GetRuleGroupsNamespaceResult>;
export interface GetRuleGroupsNamespaceArgs {
    /**
     * The RuleGroupsNamespace ARN.
     */
    arn: string;
}
export interface GetRuleGroupsNamespaceResult {
    /**
     * The RuleGroupsNamespace ARN.
     */
    readonly arn?: string;
    /**
     * The RuleGroupsNamespace data.
     */
    readonly data?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * RuleGroupsNamespace schema for cloudformation.
 */
export declare function getRuleGroupsNamespaceOutput(args: GetRuleGroupsNamespaceOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRuleGroupsNamespaceResult>;
export interface GetRuleGroupsNamespaceOutputArgs {
    /**
     * The RuleGroupsNamespace ARN.
     */
    arn: pulumi.Input<string>;
}
