import * as pulumi from "@pulumi/pulumi";
/**
 * Definition of AWS::BackupGateway::Hypervisor Resource Type
 */
export declare function getHypervisor(args: GetHypervisorArgs, opts?: pulumi.InvokeOptions): Promise<GetHypervisorResult>;
export interface GetHypervisorArgs {
    /**
     * Returns `HypervisorArn` , an Amazon Resource Name (ARN) that uniquely identifies a Hypervisor. For example: `arn:aws:backup-gateway:us-east-1:123456789012:hypervisor/hype-1234D67D`
     */
    hypervisorArn: string;
}
export interface GetHypervisorResult {
    /**
     * The server host of the hypervisor. This can be either an IP address or a fully-qualified domain name (FQDN).
     */
    readonly host?: string;
    /**
     * Returns `HypervisorArn` , an Amazon Resource Name (ARN) that uniquely identifies a Hypervisor. For example: `arn:aws:backup-gateway:us-east-1:123456789012:hypervisor/hype-1234D67D`
     */
    readonly hypervisorArn?: string;
}
/**
 * Definition of AWS::BackupGateway::Hypervisor Resource Type
 */
export declare function getHypervisorOutput(args: GetHypervisorOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetHypervisorResult>;
export interface GetHypervisorOutputArgs {
    /**
     * Returns `HypervisorArn` , an Amazon Resource Name (ARN) that uniquely identifies a Hypervisor. For example: `arn:aws:backup-gateway:us-east-1:123456789012:hypervisor/hype-1234D67D`
     */
    hypervisorArn: pulumi.Input<string>;
}
