import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::DSQL::Cluster
 */
export declare function getCluster(args: GetClusterArgs, opts?: pulumi.InvokeOptions): Promise<GetClusterResult>;
export interface GetClusterArgs {
    /**
     * The ID of the created cluster.
     */
    identifier: string;
}
export interface GetClusterResult {
    /**
     * The time of when the cluster was created in ISO-8601 format.
     */
    readonly creationTime?: string;
    /**
     * Whether deletion protection is enabled in this cluster.
     */
    readonly deletionProtectionEnabled?: boolean;
    /**
     * The ID of the created cluster.
     */
    readonly identifier?: string;
    /**
     * The Multi-region properties associated to this cluster.
     */
    readonly multiRegionProperties?: outputs.dsql.MultiRegionPropertiesProperties;
    /**
     * The Amazon Resource Name (ARN) for the cluster.
     */
    readonly resourceArn?: string;
    /**
     * The status of the cluster.
     */
    readonly status?: string;
    /**
     * A map of key and value pairs this cluster is tagged with.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The VPC endpoint service name.
     */
    readonly vpcEndpointServiceName?: string;
}
/**
 * Resource Type definition for AWS::DSQL::Cluster
 */
export declare function getClusterOutput(args: GetClusterOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetClusterResult>;
export interface GetClusterOutputArgs {
    /**
     * The ID of the created cluster.
     */
    identifier: pulumi.Input<string>;
}
