import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * VPC Route Server Endpoint
 */
export declare function getRouteServerEndpoint(args: GetRouteServerEndpointArgs, opts?: pulumi.InvokeOptions): Promise<GetRouteServerEndpointResult>;
export interface GetRouteServerEndpointArgs {
    /**
     * The ID of the Route Server Endpoint.
     */
    id: string;
}
export interface GetRouteServerEndpointResult {
    /**
     * The Amazon Resource Name (ARN) of the Route Server Endpoint.
     */
    readonly arn?: string;
    /**
     * Elastic Network Interface IP address owned by the Route Server Endpoint
     */
    readonly eniAddress?: string;
    /**
     * Elastic Network Interface ID owned by the Route Server Endpoint
     */
    readonly eniId?: string;
    /**
     * The ID of the Route Server Endpoint.
     */
    readonly id?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
    /**
     * VPC ID
     */
    readonly vpcId?: string;
}
/**
 * VPC Route Server Endpoint
 */
export declare function getRouteServerEndpointOutput(args: GetRouteServerEndpointOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetRouteServerEndpointResult>;
export interface GetRouteServerEndpointOutputArgs {
    /**
     * The ID of the Route Server Endpoint.
     */
    id: pulumi.Input<string>;
}
