import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * An object representing an Amazon EKS PodIdentityAssociation.
 */
export declare function getPodIdentityAssociation(args: GetPodIdentityAssociationArgs, opts?: pulumi.InvokeOptions): Promise<GetPodIdentityAssociationResult>;
export interface GetPodIdentityAssociationArgs {
    /**
     * The ARN of the pod identity association.
     */
    associationArn: string;
}
export interface GetPodIdentityAssociationResult {
    /**
     * The ARN of the pod identity association.
     */
    readonly associationArn?: string;
    /**
     * The ID of the pod identity association.
     */
    readonly associationId?: string;
    /**
     * The Disable Session Tags of the pod identity association.
     */
    readonly disableSessionTags?: boolean;
    /**
     * The External Id of the pod identity association.
     */
    readonly externalId?: string;
    /**
     * The IAM role ARN that the pod identity association is created for.
     */
    readonly roleArn?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The Target Role Arn of the pod identity association.
     */
    readonly targetRoleArn?: string;
}
/**
 * An object representing an Amazon EKS PodIdentityAssociation.
 */
export declare function getPodIdentityAssociationOutput(args: GetPodIdentityAssociationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPodIdentityAssociationResult>;
export interface GetPodIdentityAssociationOutputArgs {
    /**
     * The ARN of the pod identity association.
     */
    associationArn: pulumi.Input<string>;
}
