"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.ContainerGroupDefinition = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * The AWS::GameLift::ContainerGroupDefinition resource creates an Amazon GameLift container group definition.
 */
class ContainerGroupDefinition extends pulumi.CustomResource {
    /**
     * Get an existing ContainerGroupDefinition resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new ContainerGroupDefinition(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of ContainerGroupDefinition.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === ContainerGroupDefinition.__pulumiType;
    }
    /**
     * Create a ContainerGroupDefinition resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.operatingSystem === undefined) && !opts.urn) {
                throw new Error("Missing required property 'operatingSystem'");
            }
            if ((!args || args.totalMemoryLimitMebibytes === undefined) && !opts.urn) {
                throw new Error("Missing required property 'totalMemoryLimitMebibytes'");
            }
            if ((!args || args.totalVcpuLimit === undefined) && !opts.urn) {
                throw new Error("Missing required property 'totalVcpuLimit'");
            }
            resourceInputs["containerGroupType"] = args ? args.containerGroupType : undefined;
            resourceInputs["gameServerContainerDefinition"] = args ? args.gameServerContainerDefinition : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["operatingSystem"] = args ? args.operatingSystem : undefined;
            resourceInputs["sourceVersionNumber"] = args ? args.sourceVersionNumber : undefined;
            resourceInputs["supportContainerDefinitions"] = args ? args.supportContainerDefinitions : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["totalMemoryLimitMebibytes"] = args ? args.totalMemoryLimitMebibytes : undefined;
            resourceInputs["totalVcpuLimit"] = args ? args.totalVcpuLimit : undefined;
            resourceInputs["versionDescription"] = args ? args.versionDescription : undefined;
            resourceInputs["containerGroupDefinitionArn"] = undefined /*out*/;
            resourceInputs["creationTime"] = undefined /*out*/;
            resourceInputs["status"] = undefined /*out*/;
            resourceInputs["statusReason"] = undefined /*out*/;
            resourceInputs["versionNumber"] = undefined /*out*/;
        }
        else {
            resourceInputs["containerGroupDefinitionArn"] = undefined /*out*/;
            resourceInputs["containerGroupType"] = undefined /*out*/;
            resourceInputs["creationTime"] = undefined /*out*/;
            resourceInputs["gameServerContainerDefinition"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["operatingSystem"] = undefined /*out*/;
            resourceInputs["sourceVersionNumber"] = undefined /*out*/;
            resourceInputs["status"] = undefined /*out*/;
            resourceInputs["statusReason"] = undefined /*out*/;
            resourceInputs["supportContainerDefinitions"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["totalMemoryLimitMebibytes"] = undefined /*out*/;
            resourceInputs["totalVcpuLimit"] = undefined /*out*/;
            resourceInputs["versionDescription"] = undefined /*out*/;
            resourceInputs["versionNumber"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["containerGroupType", "name"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(ContainerGroupDefinition.__pulumiType, name, resourceInputs, opts);
    }
}
exports.ContainerGroupDefinition = ContainerGroupDefinition;
/** @internal */
ContainerGroupDefinition.__pulumiType = 'aws-native:gamelift:ContainerGroupDefinition';
//# sourceMappingURL=containerGroupDefinition.js.map