"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.MissionProfile = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * AWS Ground Station Mission Profile resource type for CloudFormation.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myMissionProfile = new aws_native.groundstation.MissionProfile("myMissionProfile", {
 *     name: "My Mission Profile",
 *     contactPrePassDurationSeconds: 120,
 *     contactPostPassDurationSeconds: 180,
 *     minimumViableContactDurationSeconds: 300,
 *     trackingConfigArn: "arn:aws:groundstation:us-east-2:1234567890:config/tracking/00000000-0000-0000-0000-000000000000",
 *     dataflowEdges: [
 *         {
 *             source: "arn:aws:groundstation:us-east-2:1234567890:config/antenna-downlink/11111111-1111-1111-1111-111111111111",
 *             destination: "arn:aws:groundstation:us-east-2:1234567890:config/dataflow-endpoint/22222222-2222-2222-2222-222222222222",
 *         },
 *         {
 *             source: "arn:aws:groundstation:us-east-2:1234567890:config/dataflow-endpoint/33333333-3333-3333-3333-333333333333",
 *             destination: "arn:aws:groundstation:us-east-2:1234567890:config/antenna-uplink/44444444-4444-4444-4444-444444444444",
 *         },
 *     ],
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myMissionProfile = new aws_native.groundstation.MissionProfile("myMissionProfile", {
 *     name: "Mission Profile",
 *     contactPrePassDurationSeconds: 120,
 *     contactPostPassDurationSeconds: 180,
 *     minimumViableContactDurationSeconds: 300,
 *     trackingConfigArn: "arn:aws:groundstation:us-east-2:1234567890:config/tracking/00000000-0000-0000-0000-000000000000",
 *     dataflowEdges: [
 *         {
 *             source: "arn:aws:groundstation:us-east-2:1234567890:config/antenna-downlink/11111111-1111-1111-1111-111111111111",
 *             destination: "arn:aws:groundstation:us-east-2:1234567890:config/dataflow-endpoint/22222222-2222-2222-2222-222222222222",
 *         },
 *         {
 *             source: "arn:aws:groundstation:us-east-2:1234567890:config/dataflow-endpoint/33333333-3333-3333-3333-333333333333",
 *             destination: "arn:aws:groundstation:us-east-2:1234567890:config/antenna-uplink/44444444-4444-4444-4444-444444444444",
 *         },
 *     ],
 * });
 *
 * ```
 */
class MissionProfile extends pulumi.CustomResource {
    /**
     * Get an existing MissionProfile resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new MissionProfile(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of MissionProfile.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === MissionProfile.__pulumiType;
    }
    /**
     * Create a MissionProfile resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.dataflowEdges === undefined) && !opts.urn) {
                throw new Error("Missing required property 'dataflowEdges'");
            }
            if ((!args || args.minimumViableContactDurationSeconds === undefined) && !opts.urn) {
                throw new Error("Missing required property 'minimumViableContactDurationSeconds'");
            }
            if ((!args || args.trackingConfigArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'trackingConfigArn'");
            }
            resourceInputs["contactPostPassDurationSeconds"] = args ? args.contactPostPassDurationSeconds : undefined;
            resourceInputs["contactPrePassDurationSeconds"] = args ? args.contactPrePassDurationSeconds : undefined;
            resourceInputs["dataflowEdges"] = args ? args.dataflowEdges : undefined;
            resourceInputs["minimumViableContactDurationSeconds"] = args ? args.minimumViableContactDurationSeconds : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["streamsKmsKey"] = args ? args.streamsKmsKey : undefined;
            resourceInputs["streamsKmsRole"] = args ? args.streamsKmsRole : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["trackingConfigArn"] = args ? args.trackingConfigArn : undefined;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["awsId"] = undefined /*out*/;
            resourceInputs["region"] = undefined /*out*/;
        }
        else {
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["awsId"] = undefined /*out*/;
            resourceInputs["contactPostPassDurationSeconds"] = undefined /*out*/;
            resourceInputs["contactPrePassDurationSeconds"] = undefined /*out*/;
            resourceInputs["dataflowEdges"] = undefined /*out*/;
            resourceInputs["minimumViableContactDurationSeconds"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["region"] = undefined /*out*/;
            resourceInputs["streamsKmsKey"] = undefined /*out*/;
            resourceInputs["streamsKmsRole"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
            resourceInputs["trackingConfigArn"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        super(MissionProfile.__pulumiType, name, resourceInputs, opts);
    }
}
exports.MissionProfile = MissionProfile;
/** @internal */
MissionProfile.__pulumiType = 'aws-native:groundstation:MissionProfile';
//# sourceMappingURL=missionProfile.js.map