import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Definition of AWS::HealthImaging::Datastore Resource Type
 */
export declare function getDatastore(args: GetDatastoreArgs, opts?: pulumi.InvokeOptions): Promise<GetDatastoreResult>;
export interface GetDatastoreArgs {
    /**
     * The data store identifier.
     */
    datastoreId: string;
}
export interface GetDatastoreResult {
    /**
     * The timestamp when the data store was created.
     */
    readonly createdAt?: string;
    /**
     * The Amazon Resource Name (ARN) for the data store.
     */
    readonly datastoreArn?: string;
    /**
     * The data store identifier.
     */
    readonly datastoreId?: string;
    /**
     * The data store status.
     */
    readonly datastoreStatus?: enums.healthimaging.DatastoreStatus;
    /**
     * The timestamp when the data store was last updated.
     */
    readonly updatedAt?: string;
}
/**
 * Definition of AWS::HealthImaging::Datastore Resource Type
 */
export declare function getDatastoreOutput(args: GetDatastoreOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDatastoreResult>;
export interface GetDatastoreOutputArgs {
    /**
     * The data store identifier.
     */
    datastoreId: pulumi.Input<string>;
}
