import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::ImageBuilder::DistributionConfiguration
 */
export declare function getDistributionConfiguration(args: GetDistributionConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetDistributionConfigurationResult>;
export interface GetDistributionConfigurationArgs {
    /**
     * The Amazon Resource Name (ARN) of the distribution configuration.
     */
    arn: string;
}
export interface GetDistributionConfigurationResult {
    /**
     * The Amazon Resource Name (ARN) of the distribution configuration.
     */
    readonly arn?: string;
    /**
     * The description of the distribution configuration.
     */
    readonly description?: string;
    /**
     * The distributions of the distribution configuration.
     */
    readonly distributions?: outputs.imagebuilder.DistributionConfigurationDistribution[];
    /**
     * The tags associated with the component.
     */
    readonly tags?: {
        [key: string]: string;
    };
}
/**
 * Resource schema for AWS::ImageBuilder::DistributionConfiguration
 */
export declare function getDistributionConfigurationOutput(args: GetDistributionConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDistributionConfigurationResult>;
export interface GetDistributionConfigurationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the distribution configuration.
     */
    arn: pulumi.Input<string>;
}
