import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Resource-specific logging allows you to specify a logging level for a specific thing group.
 */
export declare function getResourceSpecificLogging(args: GetResourceSpecificLoggingArgs, opts?: pulumi.InvokeOptions): Promise<GetResourceSpecificLoggingResult>;
export interface GetResourceSpecificLoggingArgs {
    /**
     * Unique Id for a Target (TargetType:TargetName), this will be internally built to serve as primary identifier for a log target.
     */
    targetId: string;
}
export interface GetResourceSpecificLoggingResult {
    /**
     * The log level for a specific target. Valid values are: ERROR, WARN, INFO, DEBUG, or DISABLED.
     */
    readonly logLevel?: enums.iot.ResourceSpecificLoggingLogLevel;
    /**
     * Unique Id for a Target (TargetType:TargetName), this will be internally built to serve as primary identifier for a log target.
     */
    readonly targetId?: string;
}
/**
 * Resource-specific logging allows you to specify a logging level for a specific thing group.
 */
export declare function getResourceSpecificLoggingOutput(args: GetResourceSpecificLoggingOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResourceSpecificLoggingResult>;
export interface GetResourceSpecificLoggingOutputArgs {
    /**
     * Unique Id for a Target (TargetType:TargetName), this will be internally built to serve as primary identifier for a log target.
     */
    targetId: pulumi.Input<string>;
}
