import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource schema for AWS::IoTSiteWise::Dataset.
 */
export declare function getDataset(args: GetDatasetArgs, opts?: pulumi.InvokeOptions): Promise<GetDatasetResult>;
export interface GetDatasetArgs {
    /**
     * The ID of the dataset.
     */
    datasetId: string;
}
export interface GetDatasetResult {
    /**
     * The ARN of the dataset.
     */
    readonly datasetArn?: string;
    /**
     * A description about the dataset, and its functionality.
     */
    readonly datasetDescription?: string;
    /**
     * The ID of the dataset.
     */
    readonly datasetId?: string;
    /**
     * The name of the dataset.
     */
    readonly datasetName?: string;
    /**
     * The data source for the dataset.
     */
    readonly datasetSource?: outputs.iotsitewise.DatasetSource;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::IoTSiteWise::Dataset.
 */
export declare function getDatasetOutput(args: GetDatasetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetDatasetResult>;
export interface GetDatasetOutputArgs {
    /**
     * The ID of the dataset.
     */
    datasetId: pulumi.Input<string>;
}
