"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.PlaybackKeyPair = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::IVS::PlaybackKeyPair
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const playbackKeyPair = new aws_native.ivs.PlaybackKeyPair("playbackKeyPair", {
 *     publicKeyMaterial: `-----BEGIN PUBLIC KEY-----
 * MHYwEAYHKoZIzj0CAQYFK4EEACIDYgAEwOR43ETwEoWif1i14aL8GtDMNkT/kBQm
 * h4sas9P//bjCU988rmQQXVBfftKT9xngg+W6hzOEpeUlCRlAtz6b6U79naYYRaSk
 * K/UhYGWkXlbJlc9zn13imYWgVGe/BMFp
 * -----END PUBLIC KEY-----
 * `,
 *     name: "MyPlaybackKeyPair",
 *     tags: [{
 *         key: "MyKey",
 *         value: "MyValue",
 *     }],
 * });
 * export const playbackKeyPairArn = playbackKeyPair.id;
 * export const playbackKeyPairFingerprint = playbackKeyPair.fingerprint;
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const playbackKeyPair = new aws_native.ivs.PlaybackKeyPair("playbackKeyPair", {
 *     publicKeyMaterial: `-----BEGIN PUBLIC KEY-----
 * MHYwEAYHKoZIzj0CAQYFK4EEACIDYgAEwOR43ETwEoWif1i14aL8GtDMNkT/kBQm
 * h4sas9P//bjCU988rmQQXVBfftKT9xngg+W6hzOEpeUlCRlAtz6b6U79naYYRaSk
 * K/UhYGWkXlbJlc9zn13imYWgVGe/BMFp
 * -----END PUBLIC KEY-----
 * `,
 *     name: "MyPlaybackKeyPair",
 *     tags: [{
 *         key: "MyKey",
 *         value: "MyValue",
 *     }],
 * });
 * export const playbackKeyPairArn = playbackKeyPair.id;
 * export const playbackKeyPairFingerprint = playbackKeyPair.fingerprint;
 *
 * ```
 */
class PlaybackKeyPair extends pulumi.CustomResource {
    /**
     * Get an existing PlaybackKeyPair resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new PlaybackKeyPair(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of PlaybackKeyPair.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === PlaybackKeyPair.__pulumiType;
    }
    /**
     * Create a PlaybackKeyPair resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["publicKeyMaterial"] = args ? args.publicKeyMaterial : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["fingerprint"] = undefined /*out*/;
        }
        else {
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["fingerprint"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["publicKeyMaterial"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["name", "publicKeyMaterial"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(PlaybackKeyPair.__pulumiType, name, resourceInputs, opts);
    }
}
exports.PlaybackKeyPair = PlaybackKeyPair;
/** @internal */
PlaybackKeyPair.__pulumiType = 'aws-native:ivs:PlaybackKeyPair';
//# sourceMappingURL=playbackKeyPair.js.map