import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * The configuration of the workers, which are the processes that run the connector logic.
 */
export declare function getWorkerConfiguration(args: GetWorkerConfigurationArgs, opts?: pulumi.InvokeOptions): Promise<GetWorkerConfigurationResult>;
export interface GetWorkerConfigurationArgs {
    /**
     * The Amazon Resource Name (ARN) of the custom configuration.
     */
    workerConfigurationArn: string;
}
export interface GetWorkerConfigurationResult {
    /**
     * The description of a revision of the worker configuration.
     */
    readonly revision?: number;
    /**
     * A collection of tags associated with a resource
     */
    readonly tags?: outputs.Tag[];
    /**
     * The Amazon Resource Name (ARN) of the custom configuration.
     */
    readonly workerConfigurationArn?: string;
}
/**
 * The configuration of the workers, which are the processes that run the connector logic.
 */
export declare function getWorkerConfigurationOutput(args: GetWorkerConfigurationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetWorkerConfigurationResult>;
export interface GetWorkerConfigurationOutputArgs {
    /**
     * The Amazon Resource Name (ARN) of the custom configuration.
     */
    workerConfigurationArn: pulumi.Input<string>;
}
