import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Macie FindingsFilter resource schema.
 */
export declare class FindingsFilter extends pulumi.CustomResource {
    /**
     * Get an existing FindingsFilter resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): FindingsFilter;
    /**
     * Returns true if the given object is an instance of FindingsFilter.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is FindingsFilter;
    /**
     * Findings filter action.
     */
    readonly action: pulumi.Output<enums.macie.FindingsFilterFindingFilterAction | undefined>;
    /**
     * Findings filter ARN.
     */
    readonly arn: pulumi.Output<string>;
    /**
     * Findings filter ID.
     */
    readonly awsId: pulumi.Output<string>;
    /**
     * Findings filter description
     */
    readonly description: pulumi.Output<string | undefined>;
    /**
     * Findings filter criteria.
     */
    readonly findingCriteria: pulumi.Output<outputs.macie.FindingsFilterFindingCriteria>;
    /**
     * Findings filter name
     */
    readonly name: pulumi.Output<string>;
    /**
     * Findings filter position.
     */
    readonly position: pulumi.Output<number | undefined>;
    /**
     * A collection of tags associated with a resource
     */
    readonly tags: pulumi.Output<outputs.Tag[] | undefined>;
    /**
     * Create a FindingsFilter resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: FindingsFilterArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a FindingsFilter resource.
 */
export interface FindingsFilterArgs {
    /**
     * Findings filter action.
     */
    action?: pulumi.Input<enums.macie.FindingsFilterFindingFilterAction>;
    /**
     * Findings filter description
     */
    description?: pulumi.Input<string>;
    /**
     * Findings filter criteria.
     */
    findingCriteria: pulumi.Input<inputs.macie.FindingsFilterFindingCriteriaArgs>;
    /**
     * Findings filter name
     */
    name?: pulumi.Input<string>;
    /**
     * Findings filter position.
     */
    position?: pulumi.Input<number>;
    /**
     * A collection of tags associated with a resource
     */
    tags?: pulumi.Input<pulumi.Input<inputs.TagArgs>[]>;
}
