import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * AWS::NetworkManager::TransitGatewayPeering Resoruce Type.
 */
export declare function getTransitGatewayPeering(args: GetTransitGatewayPeeringArgs, opts?: pulumi.InvokeOptions): Promise<GetTransitGatewayPeeringResult>;
export interface GetTransitGatewayPeeringArgs {
    /**
     * The Id of the transit gateway peering
     */
    peeringId: string;
}
export interface GetTransitGatewayPeeringResult {
    /**
     * The ARN (Amazon Resource Name) of the core network that you want to peer a transit gateway to.
     */
    readonly coreNetworkArn?: string;
    /**
     * The creation time of the transit gateway peering
     */
    readonly createdAt?: string;
    /**
     * The location of the transit gateway peering
     */
    readonly edgeLocation?: string;
    /**
     * Peering owner account Id
     */
    readonly ownerAccountId?: string;
    /**
     * The Id of the transit gateway peering
     */
    readonly peeringId?: string;
    /**
     * Peering type (TransitGatewayPeering)
     */
    readonly peeringType?: string;
    /**
     * The ARN (Amazon Resource Name) of the resource that you will peer to a core network
     */
    readonly resourceArn?: string;
    /**
     * The state of the transit gateway peering
     */
    readonly state?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The ID of the TransitGatewayPeeringAttachment
     */
    readonly transitGatewayPeeringAttachmentId?: string;
}
/**
 * AWS::NetworkManager::TransitGatewayPeering Resoruce Type.
 */
export declare function getTransitGatewayPeeringOutput(args: GetTransitGatewayPeeringOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTransitGatewayPeeringResult>;
export interface GetTransitGatewayPeeringOutputArgs {
    /**
     * The Id of the transit gateway peering
     */
    peeringId: pulumi.Input<string>;
}
