import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::NimbleStudio::Studio
 */
export declare function getStudio(args: GetStudioArgs, opts?: pulumi.InvokeOptions): Promise<GetStudioResult>;
export interface GetStudioArgs {
    studioId: string;
}
export interface GetStudioResult {
    readonly adminRoleArn?: string;
    readonly displayName?: string;
    readonly homeRegion?: string;
    readonly ssoClientId?: string;
    readonly studioEncryptionConfiguration?: outputs.nimblestudio.StudioEncryptionConfiguration;
    readonly studioId?: string;
    readonly studioUrl?: string;
    readonly userRoleArn?: string;
}
/**
 * Resource Type definition for AWS::NimbleStudio::Studio
 */
export declare function getStudioOutput(args: GetStudioOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetStudioResult>;
export interface GetStudioOutputArgs {
    studioId: pulumi.Input<string>;
}
