"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.LaunchProfile = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource Type definition for AWS::NimbleStudio::LaunchProfile
 */
class LaunchProfile extends pulumi.CustomResource {
    /**
     * Get an existing LaunchProfile resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new LaunchProfile(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of LaunchProfile.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === LaunchProfile.__pulumiType;
    }
    /**
     * Create a LaunchProfile resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.ec2SubnetIds === undefined) && !opts.urn) {
                throw new Error("Missing required property 'ec2SubnetIds'");
            }
            if ((!args || args.launchProfileProtocolVersions === undefined) && !opts.urn) {
                throw new Error("Missing required property 'launchProfileProtocolVersions'");
            }
            if ((!args || args.streamConfiguration === undefined) && !opts.urn) {
                throw new Error("Missing required property 'streamConfiguration'");
            }
            if ((!args || args.studioComponentIds === undefined) && !opts.urn) {
                throw new Error("Missing required property 'studioComponentIds'");
            }
            if ((!args || args.studioId === undefined) && !opts.urn) {
                throw new Error("Missing required property 'studioId'");
            }
            resourceInputs["description"] = args ? args.description : undefined;
            resourceInputs["ec2SubnetIds"] = args ? args.ec2SubnetIds : undefined;
            resourceInputs["launchProfileProtocolVersions"] = args ? args.launchProfileProtocolVersions : undefined;
            resourceInputs["name"] = args ? args.name : undefined;
            resourceInputs["streamConfiguration"] = args ? args.streamConfiguration : undefined;
            resourceInputs["studioComponentIds"] = args ? args.studioComponentIds : undefined;
            resourceInputs["studioId"] = args ? args.studioId : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["launchProfileId"] = undefined /*out*/;
        }
        else {
            resourceInputs["description"] = undefined /*out*/;
            resourceInputs["ec2SubnetIds"] = undefined /*out*/;
            resourceInputs["launchProfileId"] = undefined /*out*/;
            resourceInputs["launchProfileProtocolVersions"] = undefined /*out*/;
            resourceInputs["name"] = undefined /*out*/;
            resourceInputs["streamConfiguration"] = undefined /*out*/;
            resourceInputs["studioComponentIds"] = undefined /*out*/;
            resourceInputs["studioId"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["ec2SubnetIds[*]", "studioId", "tags.*"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(LaunchProfile.__pulumiType, name, resourceInputs, opts);
    }
}
exports.LaunchProfile = LaunchProfile;
/** @internal */
LaunchProfile.__pulumiType = 'aws-native:nimblestudio:LaunchProfile';
//# sourceMappingURL=launchProfile.js.map