import * as pulumi from "@pulumi/pulumi";
import * as inputs from "../types/input";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::NimbleStudio::Studio
 */
export declare class Studio extends pulumi.CustomResource {
    /**
     * Get an existing Studio resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name: string, id: pulumi.Input<pulumi.ID>, opts?: pulumi.CustomResourceOptions): Studio;
    /**
     * Returns true if the given object is an instance of Studio.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj: any): obj is Studio;
    readonly adminRoleArn: pulumi.Output<string>;
    readonly displayName: pulumi.Output<string>;
    readonly homeRegion: pulumi.Output<string>;
    readonly ssoClientId: pulumi.Output<string>;
    readonly studioEncryptionConfiguration: pulumi.Output<outputs.nimblestudio.StudioEncryptionConfiguration | undefined>;
    readonly studioId: pulumi.Output<string>;
    readonly studioName: pulumi.Output<string>;
    readonly studioUrl: pulumi.Output<string>;
    readonly tags: pulumi.Output<{
        [key: string]: string;
    } | undefined>;
    readonly userRoleArn: pulumi.Output<string>;
    /**
     * Create a Studio resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name: string, args: StudioArgs, opts?: pulumi.CustomResourceOptions);
}
/**
 * The set of arguments for constructing a Studio resource.
 */
export interface StudioArgs {
    adminRoleArn: pulumi.Input<string>;
    displayName: pulumi.Input<string>;
    studioEncryptionConfiguration?: pulumi.Input<inputs.nimblestudio.StudioEncryptionConfigurationArgs>;
    studioName?: pulumi.Input<string>;
    tags?: pulumi.Input<{
        [key: string]: pulumi.Input<string>;
    }>;
    userRoleArn: pulumi.Input<string>;
}
