import * as pulumi from "@pulumi/pulumi";
import * as enums from "../types/enums";
/**
 * Amazon OpenSearchServerless access policy resource
 */
export declare function getAccessPolicy(args: GetAccessPolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetAccessPolicyResult>;
export interface GetAccessPolicyArgs {
    /**
     * The name of the policy
     */
    name: string;
    /**
     * The type of access policy. Currently the only option is `data` .
     */
    type: enums.opensearchserverless.AccessPolicyType;
}
export interface GetAccessPolicyResult {
    /**
     * The description of the policy
     */
    readonly description?: string;
    /**
     * The JSON policy document that is the content for the policy
     */
    readonly policy?: string;
}
/**
 * Amazon OpenSearchServerless access policy resource
 */
export declare function getAccessPolicyOutput(args: GetAccessPolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetAccessPolicyResult>;
export interface GetAccessPolicyOutputArgs {
    /**
     * The name of the policy
     */
    name: pulumi.Input<string>;
    /**
     * The type of access policy. Currently the only option is `data` .
     */
    type: pulumi.Input<enums.opensearchserverless.AccessPolicyType>;
}
