"use strict";
// *** WARNING: this file was generated by pulumi-language-nodejs. ***
// *** Do not edit by hand unless you're certain you know what you are doing! ***
Object.defineProperty(exports, "__esModule", { value: true });
exports.Stream = void 0;
const pulumi = require("@pulumi/pulumi");
const utilities = require("../utilities");
/**
 * Resource schema for AWS::QLDB::Stream.
 *
 * ## Example Usage
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myQLDBStream = new aws_native.qldb.Stream("myQLDBStream", {
 *     exclusiveEndTime: "2020-05-29T22:59:59Z",
 *     inclusiveStartTime: "2020-05-29T00:00:00Z",
 *     kinesisConfiguration: {
 *         aggregationEnabled: true,
 *         streamArn: "arn:aws:kinesis:us-east-1:123456789012:stream/stream-for-qldb",
 *     },
 *     ledgerName: "exampleLedger",
 *     roleArn: "arn:aws:iam::123456789012:role/my-kinesis-stream-role",
 *     streamName: "exampleLedger-stream",
 *     tags: [{
 *         key: "Domain",
 *         value: "Test",
 *     }],
 * });
 *
 * ```
 * ### Example
 *
 * ```typescript
 * import * as pulumi from "@pulumi/pulumi";
 * import * as aws_native from "@pulumi/aws-native";
 *
 * const myQLDBStream = new aws_native.qldb.Stream("myQLDBStream", {
 *     exclusiveEndTime: "2020-05-29T22:59:59Z",
 *     inclusiveStartTime: "2020-05-29T00:00:00Z",
 *     kinesisConfiguration: {
 *         aggregationEnabled: true,
 *         streamArn: "arn:aws:kinesis:us-east-1:123456789012:stream/stream-for-qldb",
 *     },
 *     ledgerName: "exampleLedger",
 *     roleArn: "arn:aws:iam::123456789012:role/my-kinesis-stream-role",
 *     streamName: "exampleLedger-stream",
 *     tags: [{
 *         key: "Domain",
 *         value: "Test",
 *     }],
 * });
 *
 * ```
 */
class Stream extends pulumi.CustomResource {
    /**
     * Get an existing Stream resource's state with the given name, ID, and optional extra
     * properties used to qualify the lookup.
     *
     * @param name The _unique_ name of the resulting resource.
     * @param id The _unique_ provider ID of the resource to lookup.
     * @param opts Optional settings to control the behavior of the CustomResource.
     */
    static get(name, id, opts) {
        return new Stream(name, undefined, Object.assign(Object.assign({}, opts), { id: id }));
    }
    /**
     * Returns true if the given object is an instance of Stream.  This is designed to work even
     * when multiple copies of the Pulumi SDK have been loaded into the same process.
     */
    static isInstance(obj) {
        if (obj === undefined || obj === null) {
            return false;
        }
        return obj['__pulumiType'] === Stream.__pulumiType;
    }
    /**
     * Create a Stream resource with the given unique name, arguments, and options.
     *
     * @param name The _unique_ name of the resource.
     * @param args The arguments to use to populate this resource's properties.
     * @param opts A bag of options that control this resource's behavior.
     */
    constructor(name, args, opts) {
        let resourceInputs = {};
        opts = opts || {};
        if (!opts.id) {
            if ((!args || args.inclusiveStartTime === undefined) && !opts.urn) {
                throw new Error("Missing required property 'inclusiveStartTime'");
            }
            if ((!args || args.kinesisConfiguration === undefined) && !opts.urn) {
                throw new Error("Missing required property 'kinesisConfiguration'");
            }
            if ((!args || args.ledgerName === undefined) && !opts.urn) {
                throw new Error("Missing required property 'ledgerName'");
            }
            if ((!args || args.roleArn === undefined) && !opts.urn) {
                throw new Error("Missing required property 'roleArn'");
            }
            resourceInputs["exclusiveEndTime"] = args ? args.exclusiveEndTime : undefined;
            resourceInputs["inclusiveStartTime"] = args ? args.inclusiveStartTime : undefined;
            resourceInputs["kinesisConfiguration"] = args ? args.kinesisConfiguration : undefined;
            resourceInputs["ledgerName"] = args ? args.ledgerName : undefined;
            resourceInputs["roleArn"] = args ? args.roleArn : undefined;
            resourceInputs["streamName"] = args ? args.streamName : undefined;
            resourceInputs["tags"] = args ? args.tags : undefined;
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["awsId"] = undefined /*out*/;
        }
        else {
            resourceInputs["arn"] = undefined /*out*/;
            resourceInputs["awsId"] = undefined /*out*/;
            resourceInputs["exclusiveEndTime"] = undefined /*out*/;
            resourceInputs["inclusiveStartTime"] = undefined /*out*/;
            resourceInputs["kinesisConfiguration"] = undefined /*out*/;
            resourceInputs["ledgerName"] = undefined /*out*/;
            resourceInputs["roleArn"] = undefined /*out*/;
            resourceInputs["streamName"] = undefined /*out*/;
            resourceInputs["tags"] = undefined /*out*/;
        }
        opts = pulumi.mergeOptions(utilities.resourceOptsDefaults(), opts);
        const replaceOnChanges = { replaceOnChanges: ["exclusiveEndTime", "inclusiveStartTime", "kinesisConfiguration", "ledgerName", "roleArn", "streamName"] };
        opts = pulumi.mergeOptions(opts, replaceOnChanges);
        super(Stream.__pulumiType, name, resourceInputs, opts);
    }
}
exports.Stream = Stream;
/** @internal */
Stream.__pulumiType = 'aws-native:qldb:Stream';
//# sourceMappingURL=stream.js.map