import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::RolesAnywhere::TrustAnchor Resource Type.
 */
export declare function getTrustAnchor(args: GetTrustAnchorArgs, opts?: pulumi.InvokeOptions): Promise<GetTrustAnchorResult>;
export interface GetTrustAnchorArgs {
    /**
     * The unique identifier of the trust anchor.
     */
    trustAnchorId: string;
}
export interface GetTrustAnchorResult {
    /**
     * Indicates whether the trust anchor is enabled.
     */
    readonly enabled?: boolean;
    /**
     * The name of the trust anchor.
     */
    readonly name?: string;
    /**
     * A list of notification settings to be associated to the trust anchor.
     */
    readonly notificationSettings?: outputs.rolesanywhere.TrustAnchorNotificationSetting[];
    /**
     * The trust anchor type and its related certificate data.
     */
    readonly source?: outputs.rolesanywhere.TrustAnchorSource;
    /**
     * The tags to attach to the trust anchor.
     */
    readonly tags?: outputs.Tag[];
    /**
     * The ARN of the trust anchor.
     */
    readonly trustAnchorArn?: string;
    /**
     * The unique identifier of the trust anchor.
     */
    readonly trustAnchorId?: string;
}
/**
 * Definition of AWS::RolesAnywhere::TrustAnchor Resource Type.
 */
export declare function getTrustAnchorOutput(args: GetTrustAnchorOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetTrustAnchorResult>;
export interface GetTrustAnchorOutputArgs {
    /**
     * The unique identifier of the trust anchor.
     */
    trustAnchorId: pulumi.Input<string>;
}
