import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::SES::MailManagerRuleSet Resource Type
 */
export declare function getMailManagerRuleSet(args: GetMailManagerRuleSetArgs, opts?: pulumi.InvokeOptions): Promise<GetMailManagerRuleSetResult>;
export interface GetMailManagerRuleSetArgs {
    /**
     * The identifier of the rule set.
     */
    ruleSetId: string;
}
export interface GetMailManagerRuleSetResult {
    /**
     * The Amazon Resource Name (ARN) of the rule set resource.
     */
    readonly ruleSetArn?: string;
    /**
     * The identifier of the rule set.
     */
    readonly ruleSetId?: string;
    /**
     * A user-friendly name for the rule set.
     */
    readonly ruleSetName?: string;
    /**
     * Conditional rules that are evaluated for determining actions on email.
     */
    readonly rules?: outputs.ses.MailManagerRuleSetRule[];
    /**
     * The tags used to organize, track, or control access for the resource. For example, { "tags": {"key1":"value1", "key2":"value2"} }.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Definition of AWS::SES::MailManagerRuleSet Resource Type
 */
export declare function getMailManagerRuleSetOutput(args: GetMailManagerRuleSetOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetMailManagerRuleSetResult>;
export interface GetMailManagerRuleSetOutputArgs {
    /**
     * The identifier of the rule set.
     */
    ruleSetId: pulumi.Input<string>;
}
