import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Definition of AWS::SSMGuiConnect::Preferences Resource Type
 */
export declare function getPreferences(args: GetPreferencesArgs, opts?: pulumi.InvokeOptions): Promise<GetPreferencesResult>;
export interface GetPreferencesArgs {
    /**
     * The AWS Account Id that the preference is associated with, used as the unique identifier for this resource.
     */
    accountId: string;
}
export interface GetPreferencesResult {
    /**
     * The AWS Account Id that the preference is associated with, used as the unique identifier for this resource.
     */
    readonly accountId?: string;
    /**
     * The set of preferences used for recording RDP connections in the requesting AWS account and AWS Region. This includes details such as which S3 bucket recordings are stored in.
     */
    readonly connectionRecordingPreferences?: outputs.ssmguiconnect.ConnectionRecordingPreferencesProperties;
}
/**
 * Definition of AWS::SSMGuiConnect::Preferences Resource Type
 */
export declare function getPreferencesOutput(args: GetPreferencesOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetPreferencesResult>;
export interface GetPreferencesOutputArgs {
    /**
     * The AWS Account Id that the preference is associated with, used as the unique identifier for this resource.
     */
    accountId: pulumi.Input<string>;
}
