import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource schema for AWS::SystemsManagerSAP::Application
 */
export declare function getApplication(args: GetApplicationArgs, opts?: pulumi.InvokeOptions): Promise<GetApplicationResult>;
export interface GetApplicationArgs {
    /**
     * The ARN of the SSM-SAP application
     */
    arn: string;
}
export interface GetApplicationResult {
    /**
     * The ID of the application.
     */
    readonly applicationId?: string;
    /**
     * The type of the application.
     */
    readonly applicationType?: enums.systemsmanagersap.ApplicationType;
    /**
     * The ARN of the SSM-SAP application
     */
    readonly arn?: string;
    /**
     * The tags of a SystemsManagerSAP application.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource schema for AWS::SystemsManagerSAP::Application
 */
export declare function getApplicationOutput(args: GetApplicationOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetApplicationResult>;
export interface GetApplicationOutputArgs {
    /**
     * The ARN of the SSM-SAP application
     */
    arn: pulumi.Input<string>;
}
