import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
/**
 * Resource Type definition for AWS::Transfer::Profile
 */
export declare function getProfile(args: GetProfileArgs, opts?: pulumi.InvokeOptions): Promise<GetProfileResult>;
export interface GetProfileArgs {
    /**
     * A unique identifier for the profile
     */
    profileId: string;
}
export interface GetProfileResult {
    /**
     * Specifies the unique Amazon Resource Name (ARN) for the profile.
     */
    readonly arn?: string;
    /**
     * AS2 identifier agreed with a trading partner.
     */
    readonly as2Id?: string;
    /**
     * List of the certificate IDs associated with this profile to be used for encryption and signing of AS2 messages.
     */
    readonly certificateIds?: string[];
    /**
     * A unique identifier for the profile
     */
    readonly profileId?: string;
    /**
     * An array of key-value pairs to apply to this resource.
     */
    readonly tags?: outputs.Tag[];
}
/**
 * Resource Type definition for AWS::Transfer::Profile
 */
export declare function getProfileOutput(args: GetProfileOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetProfileResult>;
export interface GetProfileOutputArgs {
    /**
     * A unique identifier for the profile
     */
    profileId: pulumi.Input<string>;
}
