export declare const ManagedLoginBrandingCategoryType: {
    readonly FaviconIco: "FAVICON_ICO";
    readonly FaviconSvg: "FAVICON_SVG";
    readonly EmailGraphic: "EMAIL_GRAPHIC";
    readonly SmsGraphic: "SMS_GRAPHIC";
    readonly AuthAppGraphic: "AUTH_APP_GRAPHIC";
    readonly PasswordGraphic: "PASSWORD_GRAPHIC";
    readonly PasskeyGraphic: "PASSKEY_GRAPHIC";
    readonly PageHeaderLogo: "PAGE_HEADER_LOGO";
    readonly PageHeaderBackground: "PAGE_HEADER_BACKGROUND";
    readonly PageFooterLogo: "PAGE_FOOTER_LOGO";
    readonly PageFooterBackground: "PAGE_FOOTER_BACKGROUND";
    readonly PageBackground: "PAGE_BACKGROUND";
    readonly FormBackground: "FORM_BACKGROUND";
    readonly FormLogo: "FORM_LOGO";
    readonly IdpButtonIcon: "IDP_BUTTON_ICON";
};
export type ManagedLoginBrandingCategoryType = (typeof ManagedLoginBrandingCategoryType)[keyof typeof ManagedLoginBrandingCategoryType];
export declare const ManagedLoginBrandingColorModeType: {
    readonly Light: "LIGHT";
    readonly Dark: "DARK";
    readonly Dynamic: "DYNAMIC";
};
export type ManagedLoginBrandingColorModeType = (typeof ManagedLoginBrandingColorModeType)[keyof typeof ManagedLoginBrandingColorModeType];
export declare const ManagedLoginBrandingExtensionType: {
    readonly Ico: "ICO";
    readonly Jpeg: "JPEG";
    readonly Png: "PNG";
    readonly Svg: "SVG";
    readonly Webp: "WEBP";
};
export type ManagedLoginBrandingExtensionType = (typeof ManagedLoginBrandingExtensionType)[keyof typeof ManagedLoginBrandingExtensionType];
export declare const UserPoolClientRefreshTokenRotationFeature: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * The state of refresh token rotation for the current app client.
 */
export type UserPoolClientRefreshTokenRotationFeature = (typeof UserPoolClientRefreshTokenRotationFeature)[keyof typeof UserPoolClientRefreshTokenRotationFeature];
export declare const UserPoolTier: {
    readonly Lite: "LITE";
    readonly Essentials: "ESSENTIALS";
    readonly Plus: "PLUS";
};
/**
 * The user pool [feature plan](https://docs.aws.amazon.com/cognito/latest/developerguide/cognito-sign-in-feature-plans.html) , or tier. This parameter determines the eligibility of the user pool for features like managed login, access-token customization, and threat protection. Defaults to `ESSENTIALS` .
 */
export type UserPoolTier = (typeof UserPoolTier)[keyof typeof UserPoolTier];
