export declare const AssetModelDataType: {
    readonly String: "STRING";
    readonly Integer: "INTEGER";
    readonly Double: "DOUBLE";
    readonly Boolean: "BOOLEAN";
    readonly Struct: "STRUCT";
};
export type AssetModelDataType = (typeof AssetModelDataType)[keyof typeof AssetModelDataType];
export declare const AssetModelDataTypeSpec: {
    readonly AwsalarmState: "AWS/ALARM_STATE";
};
export type AssetModelDataTypeSpec = (typeof AssetModelDataTypeSpec)[keyof typeof AssetModelDataTypeSpec];
export declare const AssetModelTypeName: {
    readonly Measurement: "Measurement";
    readonly Attribute: "Attribute";
    readonly Transform: "Transform";
    readonly Metric: "Metric";
};
export type AssetModelTypeName = (typeof AssetModelTypeName)[keyof typeof AssetModelTypeName];
export declare const AssetPropertyNotificationState: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * The MQTT notification state (ENABLED or DISABLED) for this asset property.
 */
export type AssetPropertyNotificationState = (typeof AssetPropertyNotificationState)[keyof typeof AssetPropertyNotificationState];
export declare const DatasetSourceSourceFormat: {
    readonly KnowledgeBase: "KNOWLEDGE_BASE";
};
/**
 * The format of the dataset source associated with the dataset.
 */
export type DatasetSourceSourceFormat = (typeof DatasetSourceSourceFormat)[keyof typeof DatasetSourceSourceFormat];
export declare const DatasetSourceSourceType: {
    readonly Kendra: "KENDRA";
};
/**
 * The type of data source for the dataset.
 */
export type DatasetSourceSourceType = (typeof DatasetSourceSourceType)[keyof typeof DatasetSourceSourceType];
export declare const GatewayGreengrassV2CoreDeviceOperatingSystem: {
    readonly LinuxAarch64: "LINUX_AARCH64";
    readonly LinuxAmd64: "LINUX_AMD64";
    readonly WindowsAmd64: "WINDOWS_AMD64";
};
/**
 * The operating system of the core device in AWS IoT Greengrass V2.
 */
export type GatewayGreengrassV2CoreDeviceOperatingSystem = (typeof GatewayGreengrassV2CoreDeviceOperatingSystem)[keyof typeof GatewayGreengrassV2CoreDeviceOperatingSystem];
export declare const PortalType: {
    readonly SitewisePortalV1: "SITEWISE_PORTAL_V1";
    readonly SitewisePortalV2: "SITEWISE_PORTAL_V2";
};
/**
 * The type of portal
 */
export type PortalType = (typeof PortalType)[keyof typeof PortalType];
