export declare const DeliveryStreamAmazonOpenSearchServerlessDestinationConfigurationS3BackupMode: {
    readonly FailedDocumentsOnly: "FailedDocumentsOnly";
    readonly AllDocuments: "AllDocuments";
};
/**
 * Defines how documents should be delivered to Amazon S3. When it is set to FailedDocumentsOnly, Firehose writes any documents that could not be indexed to the configured Amazon S3 destination, with AmazonOpenSearchService-failed/ appended to the key prefix. When set to AllDocuments, Firehose delivers all incoming records to Amazon S3, and also writes failed documents with AmazonOpenSearchService-failed/ appended to the prefix.
 */
export type DeliveryStreamAmazonOpenSearchServerlessDestinationConfigurationS3BackupMode = (typeof DeliveryStreamAmazonOpenSearchServerlessDestinationConfigurationS3BackupMode)[keyof typeof DeliveryStreamAmazonOpenSearchServerlessDestinationConfigurationS3BackupMode];
export declare const DeliveryStreamAmazonopensearchserviceDestinationConfigurationIndexRotationPeriod: {
    readonly NoRotation: "NoRotation";
    readonly OneHour: "OneHour";
    readonly OneDay: "OneDay";
    readonly OneWeek: "OneWeek";
    readonly OneMonth: "OneMonth";
};
/**
 * The Amazon OpenSearch Service index rotation period. Index rotation appends a timestamp to the IndexName to facilitate the expiration of old data.
 */
export type DeliveryStreamAmazonopensearchserviceDestinationConfigurationIndexRotationPeriod = (typeof DeliveryStreamAmazonopensearchserviceDestinationConfigurationIndexRotationPeriod)[keyof typeof DeliveryStreamAmazonopensearchserviceDestinationConfigurationIndexRotationPeriod];
export declare const DeliveryStreamAmazonopensearchserviceDestinationConfigurationS3BackupMode: {
    readonly FailedDocumentsOnly: "FailedDocumentsOnly";
    readonly AllDocuments: "AllDocuments";
};
/**
 * Defines how documents should be delivered to Amazon S3.
 */
export type DeliveryStreamAmazonopensearchserviceDestinationConfigurationS3BackupMode = (typeof DeliveryStreamAmazonopensearchserviceDestinationConfigurationS3BackupMode)[keyof typeof DeliveryStreamAmazonopensearchserviceDestinationConfigurationS3BackupMode];
export declare const DeliveryStreamAuthenticationConfigurationConnectivity: {
    readonly Public: "PUBLIC";
    readonly Private: "PRIVATE";
};
/**
 * The type of connectivity used to access the Amazon MSK cluster.
 */
export type DeliveryStreamAuthenticationConfigurationConnectivity = (typeof DeliveryStreamAuthenticationConfigurationConnectivity)[keyof typeof DeliveryStreamAuthenticationConfigurationConnectivity];
export declare const DeliveryStreamDatabaseSourceConfigurationSslMode: {
    readonly Disabled: "Disabled";
    readonly Enabled: "Enabled";
};
/**
 * The mode to enable or disable SSL when Firehose connects to the database endpoint.
 *
 * Amazon Data Firehose is in preview release and is subject to change.
 */
export type DeliveryStreamDatabaseSourceConfigurationSslMode = (typeof DeliveryStreamDatabaseSourceConfigurationSslMode)[keyof typeof DeliveryStreamDatabaseSourceConfigurationSslMode];
export declare const DeliveryStreamDatabaseSourceConfigurationType: {
    readonly MySql: "MySQL";
    readonly PostgreSql: "PostgreSQL";
};
/**
 * The type of database engine. This can be one of the following values.
 *
 * - MySQL
 * - PostgreSQL
 *
 * Amazon Data Firehose is in preview release and is subject to change.
 */
export type DeliveryStreamDatabaseSourceConfigurationType = (typeof DeliveryStreamDatabaseSourceConfigurationType)[keyof typeof DeliveryStreamDatabaseSourceConfigurationType];
export declare const DeliveryStreamDocumentIdOptionsDefaultDocumentIdFormat: {
    readonly FirehoseDefault: "FIREHOSE_DEFAULT";
    readonly NoDocumentId: "NO_DOCUMENT_ID";
};
/**
 * When the `FIREHOSE_DEFAULT` option is chosen, Firehose generates a unique document ID for each record based on a unique internal identifier. The generated document ID is stable across multiple delivery attempts, which helps prevent the same record from being indexed multiple times with different document IDs.
 *
 * When the `NO_DOCUMENT_ID` option is chosen, Firehose does not include any document IDs in the requests it sends to the Amazon OpenSearch Service. This causes the Amazon OpenSearch Service domain to generate document IDs. In case of multiple delivery attempts, this may cause the same record to be indexed more than once with different document IDs. This option enables write-heavy operations, such as the ingestion of logs and observability data, to consume less resources in the Amazon OpenSearch Service domain, resulting in improved performance.
 */
export type DeliveryStreamDocumentIdOptionsDefaultDocumentIdFormat = (typeof DeliveryStreamDocumentIdOptionsDefaultDocumentIdFormat)[keyof typeof DeliveryStreamDocumentIdOptionsDefaultDocumentIdFormat];
export declare const DeliveryStreamElasticsearchDestinationConfigurationIndexRotationPeriod: {
    readonly NoRotation: "NoRotation";
    readonly OneHour: "OneHour";
    readonly OneDay: "OneDay";
    readonly OneWeek: "OneWeek";
    readonly OneMonth: "OneMonth";
};
/**
 * The frequency of Elasticsearch index rotation. If you enable index rotation, Kinesis Data Firehose appends a portion of the UTC arrival timestamp to the specified index name, and rotates the appended timestamp accordingly. For more information, see [Index Rotation for the Amazon ES Destination](https://docs.aws.amazon.com/firehose/latest/dev/basic-deliver.html#es-index-rotation) in the *Amazon Kinesis Data Firehose Developer Guide* .
 */
export type DeliveryStreamElasticsearchDestinationConfigurationIndexRotationPeriod = (typeof DeliveryStreamElasticsearchDestinationConfigurationIndexRotationPeriod)[keyof typeof DeliveryStreamElasticsearchDestinationConfigurationIndexRotationPeriod];
export declare const DeliveryStreamElasticsearchDestinationConfigurationS3BackupMode: {
    readonly FailedDocumentsOnly: "FailedDocumentsOnly";
    readonly AllDocuments: "AllDocuments";
};
/**
 * The condition under which Kinesis Data Firehose delivers data to Amazon Simple Storage Service (Amazon S3). You can send Amazon S3 all documents (all data) or only the documents that Kinesis Data Firehose could not deliver to the Amazon ES destination. For more information and valid values, see the `S3BackupMode` content for the [ElasticsearchDestinationConfiguration](https://docs.aws.amazon.com/firehose/latest/APIReference/API_ElasticsearchDestinationConfiguration.html) data type in the *Amazon Kinesis Data Firehose API Reference* .
 */
export type DeliveryStreamElasticsearchDestinationConfigurationS3BackupMode = (typeof DeliveryStreamElasticsearchDestinationConfigurationS3BackupMode)[keyof typeof DeliveryStreamElasticsearchDestinationConfigurationS3BackupMode];
export declare const DeliveryStreamEncryptionConfigurationInputKeyType: {
    readonly AwsOwnedCmk: "AWS_OWNED_CMK";
    readonly CustomerManagedCmk: "CUSTOMER_MANAGED_CMK";
};
/**
 * Indicates the type of customer master key (CMK) to use for encryption. The default setting is `AWS_OWNED_CMK` . For more information about CMKs, see [Customer Master Keys (CMKs)](https://docs.aws.amazon.com/kms/latest/developerguide/concepts.html#master_keys) .
 *
 * You can use a CMK of type CUSTOMER_MANAGED_CMK to encrypt up to 500 delivery streams.
 *
 * > To encrypt your delivery stream, use symmetric CMKs. Kinesis Data Firehose doesn't support asymmetric CMKs. For information about symmetric and asymmetric CMKs, see [About Symmetric and Asymmetric CMKs](https://docs.aws.amazon.com/kms/latest/developerguide/symm-asymm-concepts.html) in the AWS Key Management Service developer guide.
 */
export type DeliveryStreamEncryptionConfigurationInputKeyType = (typeof DeliveryStreamEncryptionConfigurationInputKeyType)[keyof typeof DeliveryStreamEncryptionConfigurationInputKeyType];
export declare const DeliveryStreamEncryptionConfigurationNoEncryptionConfig: {
    readonly NoEncryption: "NoEncryption";
};
/**
 * Disables encryption. For valid values, see the `NoEncryptionConfig` content for the [EncryptionConfiguration](https://docs.aws.amazon.com/firehose/latest/APIReference/API_EncryptionConfiguration.html) data type in the *Amazon Kinesis Data Firehose API Reference* .
 */
export type DeliveryStreamEncryptionConfigurationNoEncryptionConfig = (typeof DeliveryStreamEncryptionConfigurationNoEncryptionConfig)[keyof typeof DeliveryStreamEncryptionConfigurationNoEncryptionConfig];
export declare const DeliveryStreamExtendedS3DestinationConfigurationCompressionFormat: {
    readonly Uncompressed: "UNCOMPRESSED";
    readonly Gzip: "GZIP";
    readonly Zip: "ZIP";
    readonly Snappy: "Snappy";
    readonly HadoopSnappy: "HADOOP_SNAPPY";
};
/**
 * The compression format. If no value is specified, the default is `UNCOMPRESSED` .
 */
export type DeliveryStreamExtendedS3DestinationConfigurationCompressionFormat = (typeof DeliveryStreamExtendedS3DestinationConfigurationCompressionFormat)[keyof typeof DeliveryStreamExtendedS3DestinationConfigurationCompressionFormat];
export declare const DeliveryStreamExtendedS3DestinationConfigurationS3BackupMode: {
    readonly Disabled: "Disabled";
    readonly Enabled: "Enabled";
};
/**
 * The Amazon S3 backup mode. After you create a Firehose stream, you can update it to enable Amazon S3 backup if it is disabled. If backup is enabled, you can't update the Firehose stream to disable it.
 */
export type DeliveryStreamExtendedS3DestinationConfigurationS3BackupMode = (typeof DeliveryStreamExtendedS3DestinationConfigurationS3BackupMode)[keyof typeof DeliveryStreamExtendedS3DestinationConfigurationS3BackupMode];
export declare const DeliveryStreamHttpEndpointRequestConfigurationContentEncoding: {
    readonly None: "NONE";
    readonly Gzip: "GZIP";
};
/**
 * Kinesis Data Firehose uses the content encoding to compress the body of a request before sending the request to the destination. For more information, see Content-Encoding in MDN Web Docs, the official Mozilla documentation.
 */
export type DeliveryStreamHttpEndpointRequestConfigurationContentEncoding = (typeof DeliveryStreamHttpEndpointRequestConfigurationContentEncoding)[keyof typeof DeliveryStreamHttpEndpointRequestConfigurationContentEncoding];
export declare const DeliveryStreamIcebergDestinationConfigurations3BackupMode: {
    readonly AllData: "AllData";
    readonly FailedDataOnly: "FailedDataOnly";
};
/**
 * Describes how Firehose will backup records. Currently,S3 backup only supports `FailedDataOnly` .
 */
export type DeliveryStreamIcebergDestinationConfigurations3BackupMode = (typeof DeliveryStreamIcebergDestinationConfigurations3BackupMode)[keyof typeof DeliveryStreamIcebergDestinationConfigurations3BackupMode];
export declare const DeliveryStreamProcessorType: {
    readonly RecordDeAggregation: "RecordDeAggregation";
    readonly Decompression: "Decompression";
    readonly CloudWatchLogProcessing: "CloudWatchLogProcessing";
    readonly Lambda: "Lambda";
    readonly MetadataExtraction: "MetadataExtraction";
    readonly AppendDelimiterToRecord: "AppendDelimiterToRecord";
};
/**
 * The type of processor. Valid values: `Lambda` .
 */
export type DeliveryStreamProcessorType = (typeof DeliveryStreamProcessorType)[keyof typeof DeliveryStreamProcessorType];
export declare const DeliveryStreamRedshiftDestinationConfigurationS3BackupMode: {
    readonly Disabled: "Disabled";
    readonly Enabled: "Enabled";
};
/**
 * The Amazon S3 backup mode. After you create a Firehose stream, you can update it to enable Amazon S3 backup if it is disabled. If backup is enabled, you can't update the Firehose stream to disable it.
 */
export type DeliveryStreamRedshiftDestinationConfigurationS3BackupMode = (typeof DeliveryStreamRedshiftDestinationConfigurationS3BackupMode)[keyof typeof DeliveryStreamRedshiftDestinationConfigurationS3BackupMode];
export declare const DeliveryStreamS3DestinationConfigurationCompressionFormat: {
    readonly Uncompressed: "UNCOMPRESSED";
    readonly Gzip: "GZIP";
    readonly Zip: "ZIP";
    readonly Snappy: "Snappy";
    readonly HadoopSnappy: "HADOOP_SNAPPY";
};
/**
 * The type of compression that Kinesis Data Firehose uses to compress the data that it delivers to the Amazon S3 bucket. For valid values, see the `CompressionFormat` content for the [S3DestinationConfiguration](https://docs.aws.amazon.com/firehose/latest/APIReference/API_S3DestinationConfiguration.html) data type in the *Amazon Kinesis Data Firehose API Reference* .
 */
export type DeliveryStreamS3DestinationConfigurationCompressionFormat = (typeof DeliveryStreamS3DestinationConfigurationCompressionFormat)[keyof typeof DeliveryStreamS3DestinationConfigurationCompressionFormat];
export declare const DeliveryStreamSnowflakeDestinationConfigurationDataLoadingOption: {
    readonly JsonMapping: "JSON_MAPPING";
    readonly VariantContentMapping: "VARIANT_CONTENT_MAPPING";
    readonly VariantContentAndMetadataMapping: "VARIANT_CONTENT_AND_METADATA_MAPPING";
};
/**
 * Choose to load JSON keys mapped to table column names or choose to split the JSON payload where content is mapped to a record content column and source metadata is mapped to a record metadata column.
 */
export type DeliveryStreamSnowflakeDestinationConfigurationDataLoadingOption = (typeof DeliveryStreamSnowflakeDestinationConfigurationDataLoadingOption)[keyof typeof DeliveryStreamSnowflakeDestinationConfigurationDataLoadingOption];
export declare const DeliveryStreamSnowflakeDestinationConfigurationS3BackupMode: {
    readonly FailedDataOnly: "FailedDataOnly";
    readonly AllData: "AllData";
};
/**
 * Choose an S3 backup mode
 */
export type DeliveryStreamSnowflakeDestinationConfigurationS3BackupMode = (typeof DeliveryStreamSnowflakeDestinationConfigurationS3BackupMode)[keyof typeof DeliveryStreamSnowflakeDestinationConfigurationS3BackupMode];
export declare const DeliveryStreamSplunkDestinationConfigurationHecEndpointType: {
    readonly Raw: "Raw";
    readonly Event: "Event";
};
/**
 * This type can be either `Raw` or `Event` .
 */
export type DeliveryStreamSplunkDestinationConfigurationHecEndpointType = (typeof DeliveryStreamSplunkDestinationConfigurationHecEndpointType)[keyof typeof DeliveryStreamSplunkDestinationConfigurationHecEndpointType];
export declare const DeliveryStreamType: {
    readonly DatabaseAsSource: "DatabaseAsSource";
    readonly DirectPut: "DirectPut";
    readonly KinesisStreamAsSource: "KinesisStreamAsSource";
    readonly MskasSource: "MSKAsSource";
};
/**
 * The Firehose stream type. This can be one of the following values:
 *
 * - `DirectPut` : Provider applications access the Firehose stream directly.
 * - `KinesisStreamAsSource` : The Firehose stream uses a Kinesis data stream as a source.
 */
export type DeliveryStreamType = (typeof DeliveryStreamType)[keyof typeof DeliveryStreamType];
