export declare const ChannelAdMarkupType: {
    readonly Daterange: "DATERANGE";
    readonly Scte35Enhanced: "SCTE35_ENHANCED";
};
export type ChannelAdMarkupType = (typeof ChannelAdMarkupType)[keyof typeof ChannelAdMarkupType];
export declare const ChannelLogType: {
    readonly AsRun: "AS_RUN";
};
export type ChannelLogType = (typeof ChannelLogType)[keyof typeof ChannelLogType];
export declare const ChannelPlaybackMode: {
    readonly Loop: "LOOP";
    readonly Linear: "LINEAR";
};
export type ChannelPlaybackMode = (typeof ChannelPlaybackMode)[keyof typeof ChannelPlaybackMode];
export declare const ChannelTier: {
    readonly Basic: "BASIC";
    readonly Standard: "STANDARD";
};
export type ChannelTier = (typeof ChannelTier)[keyof typeof ChannelTier];
export declare const LiveSourceType: {
    readonly Dash: "DASH";
    readonly Hls: "HLS";
};
export type LiveSourceType = (typeof LiveSourceType)[keyof typeof LiveSourceType];
export declare const PlaybackConfigurationAvailSuppressionFillPolicy: {
    readonly PartialAvail: "PARTIAL_AVAIL";
    readonly FullAvailOnly: "FULL_AVAIL_ONLY";
};
/**
 * Defines the policy to apply to the avail suppression mode. BEHIND_LIVE_EDGE will always use the full avail suppression policy. AFTER_LIVE_EDGE mode can be used to invoke partial ad break fills when a session starts mid-break. Valid values are FULL_AVAIL_ONLY and PARTIAL_AVAIL
 */
export type PlaybackConfigurationAvailSuppressionFillPolicy = (typeof PlaybackConfigurationAvailSuppressionFillPolicy)[keyof typeof PlaybackConfigurationAvailSuppressionFillPolicy];
export declare const PlaybackConfigurationAvailSuppressionMode: {
    readonly Off: "OFF";
    readonly BehindLiveEdge: "BEHIND_LIVE_EDGE";
    readonly AfterLiveEdge: "AFTER_LIVE_EDGE";
};
/**
 * Sets the ad suppression mode. By default, ad suppression is off and all ad breaks are filled with ads or slate. When Mode is set to BEHIND_LIVE_EDGE, ad suppression is active and MediaTailor won't fill ad breaks on or behind the ad suppression Value time in the manifest lookback window. When Mode is set to AFTER_LIVE_EDGE, ad suppression is active and MediaTailor won't fill ad breaks that are within the live edge plus the avail suppression value.
 */
export type PlaybackConfigurationAvailSuppressionMode = (typeof PlaybackConfigurationAvailSuppressionMode)[keyof typeof PlaybackConfigurationAvailSuppressionMode];
export declare const PlaybackConfigurationDashConfigurationOriginManifestType: {
    readonly SinglePeriod: "SINGLE_PERIOD";
    readonly MultiPeriod: "MULTI_PERIOD";
};
/**
 * The setting that controls whether MediaTailor handles manifests from the origin server as multi-period manifests or single-period manifests. If your origin server produces single-period manifests, set this to SINGLE_PERIOD. The default setting is MULTI_PERIOD. For multi-period manifests, omit this setting or set it to MULTI_PERIOD.
 */
export type PlaybackConfigurationDashConfigurationOriginManifestType = (typeof PlaybackConfigurationDashConfigurationOriginManifestType)[keyof typeof PlaybackConfigurationDashConfigurationOriginManifestType];
export declare const PlaybackConfigurationStreamingMediaFileConditioning: {
    readonly Transcode: "TRANSCODE";
    readonly None: "NONE";
};
export type PlaybackConfigurationStreamingMediaFileConditioning = (typeof PlaybackConfigurationStreamingMediaFileConditioning)[keyof typeof PlaybackConfigurationStreamingMediaFileConditioning];
export declare const SourceLocationAccessType: {
    readonly S3Sigv4: "S3_SIGV4";
    readonly SecretsManagerAccessToken: "SECRETS_MANAGER_ACCESS_TOKEN";
    readonly AutodetectSigv4: "AUTODETECT_SIGV4";
};
export type SourceLocationAccessType = (typeof SourceLocationAccessType)[keyof typeof SourceLocationAccessType];
export declare const VodSourceType: {
    readonly Dash: "DASH";
    readonly Hls: "HLS";
};
export type VodSourceType = (typeof VodSourceType)[keyof typeof VodSourceType];
