export declare const FirewallDomainListStatus: {
    readonly Complete: "COMPLETE";
    readonly Deleting: "DELETING";
    readonly Updating: "UPDATING";
    readonly CompleteImportFailed: "COMPLETE_IMPORT_FAILED";
    readonly Importing: "IMPORTING";
    readonly InactiveOwnerAccountClosed: "INACTIVE_OWNER_ACCOUNT_CLOSED";
};
/**
 * ResolverFirewallDomainList, possible values are COMPLETE, DELETING, UPDATING, COMPLETE_IMPORT_FAILED, IMPORTING, and INACTIVE_OWNER_ACCOUNT_CLOSED.
 */
export type FirewallDomainListStatus = (typeof FirewallDomainListStatus)[keyof typeof FirewallDomainListStatus];
export declare const FirewallRuleGroupAssociationMutationProtection: {
    readonly Enabled: "ENABLED";
    readonly Disabled: "DISABLED";
};
/**
 * MutationProtectionStatus
 */
export type FirewallRuleGroupAssociationMutationProtection = (typeof FirewallRuleGroupAssociationMutationProtection)[keyof typeof FirewallRuleGroupAssociationMutationProtection];
export declare const FirewallRuleGroupAssociationStatus: {
    readonly Complete: "COMPLETE";
    readonly Deleting: "DELETING";
    readonly Updating: "UPDATING";
    readonly InactiveOwnerAccountClosed: "INACTIVE_OWNER_ACCOUNT_CLOSED";
};
/**
 * ResolverFirewallRuleGroupAssociation, possible values are COMPLETE, DELETING, UPDATING, and INACTIVE_OWNER_ACCOUNT_CLOSED.
 */
export type FirewallRuleGroupAssociationStatus = (typeof FirewallRuleGroupAssociationStatus)[keyof typeof FirewallRuleGroupAssociationStatus];
export declare const FirewallRuleGroupFirewallRuleAction: {
    readonly Allow: "ALLOW";
    readonly Block: "BLOCK";
    readonly Alert: "ALERT";
};
/**
 * Rule Action
 */
export type FirewallRuleGroupFirewallRuleAction = (typeof FirewallRuleGroupFirewallRuleAction)[keyof typeof FirewallRuleGroupFirewallRuleAction];
export declare const FirewallRuleGroupFirewallRuleBlockOverrideDnsType: {
    readonly Cname: "CNAME";
};
/**
 * BlockOverrideDnsType
 */
export type FirewallRuleGroupFirewallRuleBlockOverrideDnsType = (typeof FirewallRuleGroupFirewallRuleBlockOverrideDnsType)[keyof typeof FirewallRuleGroupFirewallRuleBlockOverrideDnsType];
export declare const FirewallRuleGroupFirewallRuleBlockResponse: {
    readonly Nodata: "NODATA";
    readonly Nxdomain: "NXDOMAIN";
    readonly Override: "OVERRIDE";
};
/**
 * BlockResponse
 */
export type FirewallRuleGroupFirewallRuleBlockResponse = (typeof FirewallRuleGroupFirewallRuleBlockResponse)[keyof typeof FirewallRuleGroupFirewallRuleBlockResponse];
export declare const FirewallRuleGroupFirewallRuleConfidenceThreshold: {
    readonly Low: "LOW";
    readonly Medium: "MEDIUM";
    readonly High: "HIGH";
};
/**
 * FirewallDomainRedirectionAction
 */
export type FirewallRuleGroupFirewallRuleConfidenceThreshold = (typeof FirewallRuleGroupFirewallRuleConfidenceThreshold)[keyof typeof FirewallRuleGroupFirewallRuleConfidenceThreshold];
export declare const FirewallRuleGroupFirewallRuleDnsThreatProtection: {
    readonly Dga: "DGA";
    readonly DnsTunneling: "DNS_TUNNELING";
};
/**
 * FirewallDomainRedirectionAction
 */
export type FirewallRuleGroupFirewallRuleDnsThreatProtection = (typeof FirewallRuleGroupFirewallRuleDnsThreatProtection)[keyof typeof FirewallRuleGroupFirewallRuleDnsThreatProtection];
export declare const FirewallRuleGroupFirewallRuleFirewallDomainRedirectionAction: {
    readonly InspectRedirectionDomain: "INSPECT_REDIRECTION_DOMAIN";
    readonly TrustRedirectionDomain: "TRUST_REDIRECTION_DOMAIN";
};
/**
 * FirewallDomainRedirectionAction
 */
export type FirewallRuleGroupFirewallRuleFirewallDomainRedirectionAction = (typeof FirewallRuleGroupFirewallRuleFirewallDomainRedirectionAction)[keyof typeof FirewallRuleGroupFirewallRuleFirewallDomainRedirectionAction];
export declare const FirewallRuleGroupShareStatus: {
    readonly NotShared: "NOT_SHARED";
    readonly SharedWithMe: "SHARED_WITH_ME";
    readonly SharedByMe: "SHARED_BY_ME";
};
/**
 * ShareStatus, possible values are NOT_SHARED, SHARED_WITH_ME, SHARED_BY_ME.
 */
export type FirewallRuleGroupShareStatus = (typeof FirewallRuleGroupShareStatus)[keyof typeof FirewallRuleGroupShareStatus];
export declare const FirewallRuleGroupStatus: {
    readonly Complete: "COMPLETE";
    readonly Deleting: "DELETING";
    readonly Updating: "UPDATING";
    readonly InactiveOwnerAccountClosed: "INACTIVE_OWNER_ACCOUNT_CLOSED";
};
/**
 * ResolverFirewallRuleGroupAssociation, possible values are COMPLETE, DELETING, UPDATING, and INACTIVE_OWNER_ACCOUNT_CLOSED.
 */
export type FirewallRuleGroupStatus = (typeof FirewallRuleGroupStatus)[keyof typeof FirewallRuleGroupStatus];
export declare const OutpostResolverStatus: {
    readonly Creating: "CREATING";
    readonly Operational: "OPERATIONAL";
    readonly Deleting: "DELETING";
    readonly Updating: "UPDATING";
    readonly ActionNeeded: "ACTION_NEEDED";
    readonly FailedCreation: "FAILED_CREATION";
    readonly FailedDeletion: "FAILED_DELETION";
};
/**
 * The OutpostResolver status, possible values are CREATING, OPERATIONAL, UPDATING, DELETING, ACTION_NEEDED, FAILED_CREATION and FAILED_DELETION.
 */
export type OutpostResolverStatus = (typeof OutpostResolverStatus)[keyof typeof OutpostResolverStatus];
export declare const ResolverConfigAutodefinedReverse: {
    readonly Enabling: "ENABLING";
    readonly Enabled: "ENABLED";
    readonly Disabling: "DISABLING";
    readonly Disabled: "DISABLED";
};
/**
 * ResolverAutodefinedReverseStatus, possible values are ENABLING, ENABLED, DISABLING AND DISABLED.
 */
export type ResolverConfigAutodefinedReverse = (typeof ResolverConfigAutodefinedReverse)[keyof typeof ResolverConfigAutodefinedReverse];
export declare const ResolverConfigAutodefinedReverseFlag: {
    readonly Disable: "DISABLE";
};
/**
 * Represents the desired status of AutodefinedReverse. The only supported value on creation is DISABLE. Deletion of this resource will return AutodefinedReverse to its default value (ENABLED).
 */
export type ResolverConfigAutodefinedReverseFlag = (typeof ResolverConfigAutodefinedReverseFlag)[keyof typeof ResolverConfigAutodefinedReverseFlag];
export declare const ResolverDnssecConfigValidationStatus: {
    readonly Enabling: "ENABLING";
    readonly Enabled: "ENABLED";
    readonly Disabling: "DISABLING";
    readonly Disabled: "DISABLED";
};
/**
 * ResolverDNSSECValidationStatus, possible values are ENABLING, ENABLED, DISABLING AND DISABLED.
 */
export type ResolverDnssecConfigValidationStatus = (typeof ResolverDnssecConfigValidationStatus)[keyof typeof ResolverDnssecConfigValidationStatus];
export declare const ResolverEndpointType: {
    readonly Ipv6: "IPV6";
    readonly Ipv4: "IPV4";
    readonly Dualstack: "DUALSTACK";
};
/**
 * The Resolver endpoint IP address type.
 */
export type ResolverEndpointType = (typeof ResolverEndpointType)[keyof typeof ResolverEndpointType];
export declare const ResolverQueryLoggingConfigAssociationError: {
    readonly None: "NONE";
    readonly DestinationNotFound: "DESTINATION_NOT_FOUND";
    readonly AccessDenied: "ACCESS_DENIED";
};
/**
 * ResolverQueryLogConfigAssociationError
 */
export type ResolverQueryLoggingConfigAssociationError = (typeof ResolverQueryLoggingConfigAssociationError)[keyof typeof ResolverQueryLoggingConfigAssociationError];
export declare const ResolverQueryLoggingConfigAssociationStatus: {
    readonly Creating: "CREATING";
    readonly Active: "ACTIVE";
    readonly ActionNeeded: "ACTION_NEEDED";
    readonly Deleting: "DELETING";
    readonly Failed: "FAILED";
    readonly Overridden: "OVERRIDDEN";
};
/**
 * ResolverQueryLogConfigAssociationStatus
 */
export type ResolverQueryLoggingConfigAssociationStatus = (typeof ResolverQueryLoggingConfigAssociationStatus)[keyof typeof ResolverQueryLoggingConfigAssociationStatus];
export declare const ResolverQueryLoggingConfigShareStatus: {
    readonly NotShared: "NOT_SHARED";
    readonly SharedWithMe: "SHARED_WITH_ME";
    readonly SharedByMe: "SHARED_BY_ME";
};
/**
 * ShareStatus, possible values are NOT_SHARED, SHARED_WITH_ME, SHARED_BY_ME.
 */
export type ResolverQueryLoggingConfigShareStatus = (typeof ResolverQueryLoggingConfigShareStatus)[keyof typeof ResolverQueryLoggingConfigShareStatus];
export declare const ResolverQueryLoggingConfigStatus: {
    readonly Creating: "CREATING";
    readonly Created: "CREATED";
    readonly Deleting: "DELETING";
    readonly Failed: "FAILED";
};
/**
 * ResolverQueryLogConfigStatus, possible values are CREATING, CREATED, DELETED AND FAILED.
 */
export type ResolverQueryLoggingConfigStatus = (typeof ResolverQueryLoggingConfigStatus)[keyof typeof ResolverQueryLoggingConfigStatus];
export declare const ResolverRuleRuleType: {
    readonly Forward: "FORWARD";
    readonly System: "SYSTEM";
    readonly Recursive: "RECURSIVE";
    readonly Delegate: "DELEGATE";
};
/**
 * When you want to forward DNS queries for specified domain name to resolvers on your network, specify FORWARD. When you have a forwarding rule to forward DNS queries for a domain to your network and you want Resolver to process queries for a subdomain of that domain, specify SYSTEM.
 */
export type ResolverRuleRuleType = (typeof ResolverRuleRuleType)[keyof typeof ResolverRuleRuleType];
export declare const ResolverRuleTargetAddressProtocol: {
    readonly Do53: "Do53";
    readonly DoH: "DoH";
};
/**
 * The protocol that you want to use to forward DNS queries.
 */
export type ResolverRuleTargetAddressProtocol = (typeof ResolverRuleTargetAddressProtocol)[keyof typeof ResolverRuleTargetAddressProtocol];
