export declare const ContactChannelChannelType: {
    readonly Sms: "SMS";
    readonly Voice: "VOICE";
    readonly Email: "EMAIL";
};
/**
 * Device type, which specify notification channel. Currently supported values: "SMS", "VOICE", "EMAIL", "CHATBOT.
 */
export type ContactChannelChannelType = (typeof ContactChannelChannelType)[keyof typeof ContactChannelChannelType];
export declare const ContactType: {
    readonly Personal: "PERSONAL";
    readonly Escalation: "ESCALATION";
    readonly OncallSchedule: "ONCALL_SCHEDULE";
};
/**
 * Contact type, which specify type of contact. Currently supported values: "PERSONAL", "SHARED", "OTHER".
 */
export type ContactType = (typeof ContactType)[keyof typeof ContactType];
export declare const RotationDayOfWeek: {
    readonly Mon: "MON";
    readonly Tue: "TUE";
    readonly Wed: "WED";
    readonly Thu: "THU";
    readonly Fri: "FRI";
    readonly Sat: "SAT";
    readonly Sun: "SUN";
};
/**
 * The day of the week when weekly recurring on-call shift rotations begin.
 */
export type RotationDayOfWeek = (typeof RotationDayOfWeek)[keyof typeof RotationDayOfWeek];
