import * as pulumi from "@pulumi/pulumi";
import * as outputs from "../types/output";
import * as enums from "../types/enums";
/**
 * Resource Type definition for AWS::WorkSpaces::ConnectionAlias
 */
export declare function getConnectionAlias(args: GetConnectionAliasArgs, opts?: pulumi.InvokeOptions): Promise<GetConnectionAliasResult>;
export interface GetConnectionAliasArgs {
    /**
     * The identifier of the connection alias, returned as a string.
     */
    aliasId: string;
}
export interface GetConnectionAliasResult {
    /**
     * The identifier of the connection alias, returned as a string.
     */
    readonly aliasId?: string;
    /**
     * The association status of the connection alias.
     */
    readonly associations?: outputs.workspaces.ConnectionAliasAssociation[];
    /**
     * The current state of the connection alias, returned as a string.
     */
    readonly connectionAliasState?: enums.workspaces.ConnectionAliasState;
}
/**
 * Resource Type definition for AWS::WorkSpaces::ConnectionAlias
 */
export declare function getConnectionAliasOutput(args: GetConnectionAliasOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetConnectionAliasResult>;
export interface GetConnectionAliasOutputArgs {
    /**
     * The identifier of the connection alias, returned as a string.
     */
    aliasId: pulumi.Input<string>;
}
