import * as pulumi from "@pulumi/pulumi";
/**
 * This schema provides construct and validation rules for AWS-XRay Resource Policy resource parameters.
 */
export declare function getResourcePolicy(args: GetResourcePolicyArgs, opts?: pulumi.InvokeOptions): Promise<GetResourcePolicyResult>;
export interface GetResourcePolicyArgs {
    /**
     * The name of the resource policy. Must be unique within a specific AWS account.
     */
    policyName: string;
}
export interface GetResourcePolicyResult {
    /**
     * The resource policy document, which can be up to 5kb in size.
     */
    readonly policyDocument?: string;
}
/**
 * This schema provides construct and validation rules for AWS-XRay Resource Policy resource parameters.
 */
export declare function getResourcePolicyOutput(args: GetResourcePolicyOutputArgs, opts?: pulumi.InvokeOutputOptions): pulumi.Output<GetResourcePolicyResult>;
export interface GetResourcePolicyOutputArgs {
    /**
     * The name of the resource policy. Must be unique within a specific AWS account.
     */
    policyName: pulumi.Input<string>;
}
